summaryrefslogtreecommitdiff
path: root/kanotix-lxde-extra/kanotix-lxde-upstart
diff options
context:
space:
mode:
Diffstat (limited to 'kanotix-lxde-extra/kanotix-lxde-upstart')
-rw-r--r--kanotix-lxde-extra/kanotix-lxde-upstart10
1 files changed, 10 insertions, 0 deletions
diff --git a/kanotix-lxde-extra/kanotix-lxde-upstart b/kanotix-lxde-extra/kanotix-lxde-upstart
new file mode 100644
index 0000000..ec5dcb5
--- /dev/null
+++ b/kanotix-lxde-extra/kanotix-lxde-upstart
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# generate icon-cache deleted in live-build
+if ! [ -e /usr/share/icons/nuoveXT2/icon-theme.cache ]; then
+find /usr/share/icons -mindepth 1 -maxdepth 1 -type d | while read -r ICON; do
+if [ -f "$ICON/index.theme" ]; then
+ gtk-update-icon-cache-3.0 -f -q "$ICON"
+fi
+done
+fi